%define	name 	gpsdrive
%define	version	1.9
%define	release	1mdk

Summary: GPS based navigation tool 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Url: http://www.kraftvoll.at/software/
Group: Communications
Source: %{name}-%{version}.tar.bz2
Source1: %{name}-48.png.bz2
Source2: %{name}-32.png.bz2
Source3: %{name}-16.png.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gdk-pixbuf-devel >= 0.11
Requires: gdk-pixbuf >= 0.11

%description
Gpsdrive is a map-based navigation system. It displays your position on a 
zoomable map provided from a NMEA-capable GPS receiver. The maps are 
autoselected for the best resolution, depending of your position, and the 
displayed image can be zoomed. Maps can be downloaded from the Internet with 
one mouse click. The program provides information about speed, direction, 
bearing, arrival time, actual position, and target position. Speech output 
is also available.

%prep

%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

#menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \ 
section="Applications/Communications" \
title="GpsDrive" \
longtitle="A GPS based navigation tool for Gnome" \
command="%{_bindir}/%{name}" \
icon="gpsdrive.png"
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
   
%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root)
%doc GPS-receivers INSTALL AUTHORS COPYING  TODO README LEEME
%{_bindir}/*
%{_mandir}/man1/gpsdrive.1.bz2
%{_mandir}/es/man1/gpsdrive.1.bz2
%{_mandir}/de/man1/gpsdrive.1.bz2
%{_datadir}/gpsdrivesplash.png
%{_datadir}/friendsicon.png
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Feb 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.9-1mdk
- 1.9

* Mon Feb 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8-1mdk
- 1.8

* Thu Jan 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.7-2mdk
- s/Copyright/License
- add url
- icons

* Mon Jan 14 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.7-1mdk
- use macros
- use %%find_lang
- proper menu support
- change group from Tools to Communications (rpmlint)
- use %%defattr

* Fri Jan 11 2002 Flix Martos <pakito@asinkecualo.org>
- Update to GPSDrive 1.7
- Download map now only works in this version

* Sun Dec 02 2001 Flix Martos <pakito@asinkecualo.org>
- Update to GPSDrive 1.6

* Fri Nov 16 2001 Flix Martos <pakito@asinkecualo.org>
- Update to GPSDrive 1.5
- Added Author Changelog

* Fri Nov 16 2001 Fritz Ganter <ganter@ganter.at>
    - 11/16/2001 Version 1.5: In friendsmode you can select your friend 
      from the waypoint list. In this case, the position of the target is 
      dynamically updated. In the text near the friends-position icon you 
      see also the day of the week together with the time of the last transmit. If you have an internet connection, connect gpsdrive in simulation mode to linux.quant-x.at, i.e. gpsdrive -n Fred -f linux.quant-x.at, and make a truck race with other GpsDrive users. But replace "Fred" with your name! ;-)
    - 11/13/2001 Version 1.4: Some improvement on friends server. Added 
      friendsserver to english man page. The friendsserver displays friends 
      position, speed, direction and time of last transmit. To use it start 
      friendsd on a internetserver and call gpdrive -n Yourname -f servername. 
      For details see man page
    - 11/12/2001 Version 1.3: Testversion for displaying your friends if you 
      start the friendsd server. See gpsdrive -h.
    - 11/04/2001 Version 1.2: Added spanish and german man pages. The man pages
      are online available (see Download section). Cosmetic changes, updated 
      translations.
    - 11/03/2001 Version 1.1: Added button to select directly less/more 
      detailed map. Added switch for autoselect best map. Replaced dk 
      language with da, because da is dansk, not dk. New layout, some buttons 
      are now checkboxes.
    - 11/02/2001 Version 1.0: GpsDrive is ready for the step to version 1.0, 
      which is almost the same as 0.36, but added spanish speech output. Manual
      page is now online.
    - 11/01/2001 Version 0.36: Added option -o to output NMEA sentences. 
      Festival (speech output server) is now initialized for correct language 
      by GpsDrive. Update manpage and translations.
    - 10/28/2001 Version 0.35: Added store and load track. GpsDrive autodetects
      screensize and fits into screen now. Some bugfixes. Updated dutch and 
      spanish translations. Added spanish README (LEEME).
    - 10/23/2001 Version 0.34: Added usage of a proxy server. See manpage 
      (man gpsdrive) for details.
    - Older changes are in Changelog.

* Wed Nov 11 2001 Flix Martos <pakito@asinkecualo.org>
- Contributed Mandrake package of GPSDrive 1.4

* Sun Oct 14 2001 Flix Martos <pakito@asinkecualo.org>                         - Version 0.32                                                                                                                                                  * Sun Oct 14 2001 Fritz Ganter <ganter@ganter.at>                               - Version 0.32: You can choice the downloadserver between mapblast                and expedia.                                                                    Installs data files now in right place (configure --prefix=).                   RPM installs now per default in /usr. Rewritten README.                         Program now creates a ~/.gpsdrive directory if it was not found.                It also creates a map_koord.txt in it.                                          Some bugfixes (if Numlock or Shiftlock is on).                                                                                                                

* Wed Oct 10 2001 Flix Martos <pakito@asinkecualo.org>
- First mandrake unofficial release

* Tue Oct 9 2001 Fritz Ganter <ganter@ganter.at>
- Version 0.31: Warning window if wrong filenames in
  map_koord.txt. Radar bugfix. Added man page. Updated
  spanish translation. Fix if you use GCC 3.0 as C++ compiler
	       
	       
